import { Link } from 'react-router-dom';
import { useAuth } from '../../hooks/useAuth';
import './Header.scss';

function Header() {
  const { isAuth } = useAuth();

  return (
    <>
      <div className='header'>
        <div className='header-content'>
          <span className='header-title'>Airline Booking</span>

          <nav className='nav'>
            <Link to={'/'} className='nav-item'>Home</Link>

            {isAuth ?
            <div>
              <Link to={'booking/query'} className='nav-item'>Book a Flight</Link>
              <Link to={'logout'} className='nav-item'>Logout</Link>
            </div> :
            <div>
              <Link to={'login'} className='nav-item'>Login</Link>
              <Link to={'register'} className='nav-item'>Register</Link>
            </div>}
          </nav>
        </div>
      </div>
    </>
  );
}

export default Header;